problem connecting to mysql database when using citrix netscaler to connect

More
1 year 2 months ago #166746 by stefsurvey2018
Hello,

I'm trying to connect my limesurvey server to mysql database which is behind a citrix netscaler load balancer appliance which is fronting a mysql cluster name with IP.

But when i'm bypassing the citrix netscaler and connect directly to one of the database server include in the mysql cluster it's works.

Here is the error i got when trying to connect to the limesurvey session:


Error: You can not update the database because the previous limesurvey version is too old.
You first need to update to version 2.6.4 or other recent version 2.x before updating to version3.x

I know it's a false error because this is a new installation and i just install and configure the version 3.6.1 which is the latest.

Hope someone can point me in the right direction to solve this !

regards,

Stephane

Please Log in or Create an account to join the conversation.

LimeSurvey Partners
More
1 year 2 months ago #166769 by DenisChenu
I didn't see other reason of this sentence.

Maybe you can try to set a different prefix ?

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand .
An error happen ? Before make a new topic : remind the Debug mode .

Please Log in or Create an account to join the conversation.

More
1 year 2 months ago #166805 by stefsurvey2018
Hello Denis,

I don't understand , what you mean in your reply ?

can you elaborate on it ?

regards,

stephane

Please Log in or Create an account to join the conversation.

More
1 year 2 months ago #166879 by DenisChenu
When you ijnstall LimeSurvey, you have a prefix to choose, by default lime_, set it to another things, for example ls_

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand .
An error happen ? Before make a new topic : remind the Debug mode .

Please Log in or Create an account to join the conversation.

More
1 year 2 months ago - 1 year 2 months ago #167040 by stefsurvey2018
Hello Denis,

i change the prefix but i had to completely reinstall the product and delete all the stuff in my database to be
able to make the error disappear after that i was able to install anc connect to the mysql cluster with netscaler fronting it.

Is it normal that i had to do that ? is their a file that keep the info about the database version or the limesurvey version ?

Regards,

Stephane
Last edit: 1 year 2 months ago by stefsurvey2018.

Please Log in or Create an account to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now
Join our Newsletter!